/**
 * DevExtreme (esm/renovation/ui/scheduler/view_model/appointments/appointments.js)
 * Version: 22.2.0 (build 22245-0308)
 * Build date: Fri Sep 02 2022
 *
 * Copyright (c) 2012 - 2022 Developer Express Inc. ALL RIGHTS RESERVED
 * Read about DevExtreme licensing here: https://js.devexpress.com/Licensing/
 */
import _extends from "@babel/runtime/helpers/esm/extends";
import {
    AppointmentViewModelGenerator
} from "../../../../../ui/scheduler/appointments/viewModelGenerator";
export var getAppointmentsViewModel = (model, filteredItems) => {
    var appointmentViewModel = new AppointmentViewModelGenerator;
    return appointmentViewModel.generate(filteredItems, _extends({}, model, {
        isRenovatedAppointments: true
    }))
};
